#!/usr/bin/python
"""Wrapper against django-admin.

It makes sure that lib/ is in the python path and that the right
settings are used.
"""

import os
import sys

from django.core.management import execute_from_command_line

here = os.path.dirname(os.path.realpath(__file__))
sys.path.insert(0, os.path.join(here, 'lib'))


if __name__ == "__main__":
    sys.argv.append('--settings=grammatista.django.settings')
    execute_from_command_line()
